Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005177OCaml~DO NOT USE (was: OCaml general)public2010-11-10 16:092010-11-10 16:47
Reporterfrisch 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.1+dev 
Summary0005177: Gc.compact does implies Gc.full_major
DescriptionThe doc for Gc.compact says: "Perform a full major collection and compact the heap."

However, reading the implementation in byterun/gc_ctrl.c, one can see that compact does not do the same set of operations as full_major:

full_major:
  caml_empty_minor_heap ();
  caml_finish_major_cycle ();
  caml_final_do_calls ();
  caml_empty_minor_heap ();
  caml_finish_major_cycle ();

compact:
  caml_empty_minor_heap ();
  caml_finish_major_cycle ();
  caml_finish_major_cycle ();


I believe it would be a good idea to do the extra final_do_calls/empty_minor_heap in compact as well.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-11-10 16:09 frisch New Issue
2010-11-10 16:47 doligez Status new => closed
2010-11-10 16:47 doligez Resolution open => fixed
2010-11-10 16:47 doligez Fixed in Version => 3.12.1+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker